using System.Linq;
using HQLAddin.Highlighting.Tagger;
using Microsoft.VisualStudio.Utilities;
using NUnit.Framework;
using SharpTestsEx;

namespace HQLAddin.Tests.Highlighting
{
	[TestFixture]
	public class ErrorTaggerProviderTests
	{
		[Test]
		public void ContentTypeShouldBeEqualToXml()
		{
			typeof(ErrorTaggerProvider).GetCustomAttributes(typeof(ContentTypeAttribute), true)
				.OfType<ContentTypeAttribute>()
				.First()
				.ContentTypes.Should().Be.EqualTo("xml");
		}
	}
}