﻿using System.Linq;
using HQLAddin.Highlighting.Classificators;
using Microsoft.VisualStudio.Utilities;
using NUnit.Framework;
using SharpTestsEx;

namespace HQLAddin.Tests.Highlighting
{
	[TestFixture]
	public class KeywordClassifierProviderTests
	{
		[Test]
		public void ContentTypeShouldBeEqualToXml()
		{
			typeof (KeywordClassifierProvider).GetCustomAttributes(typeof (ContentTypeAttribute), true)
				.OfType<ContentTypeAttribute>()
				.First()
				.ContentTypes.Should().Be.EqualTo("xml");
		}
	}
}