﻿using System.ComponentModel.Composition;
using Microsoft.VisualStudio.Text.Classification;
using Microsoft.VisualStudio.Utilities;

namespace HQLAddin.Highlighting.Formatters
{
	internal static class FormatsDefinition
	{
		[Export(typeof(ClassificationTypeDefinition))]
		[Name(KeywordFormat.Name)]
		internal static ClassificationTypeDefinition KeywordEditorFormat;

		[Export(typeof(ClassificationTypeDefinition))]
		[Name(ParameterFormat.Name)]
		internal static ClassificationTypeDefinition ParameterEditorFormat;

		[Export(typeof(ClassificationTypeDefinition))]
		[Name(StringFormat.Name)]
		internal static ClassificationTypeDefinition StringEditorFormat;
	}
}