using HqlExample.Domain.Base;

namespace HqlExample.Domain.Entities
{
	public class Person : EntityBase<int>
	{
		public virtual string FirstName { get; set; }
		public virtual string LastName { get; set; }
		public virtual Address Address { get; set; }
	}

	public class Address
	{ 
		public virtual string Street { get; set; }
		public virtual string StreetNumber { get; set; }
	}
}