﻿using System.Linq;
using HQLAddin.Highlighting.Classificators;
using Microsoft.VisualStudio.Utilities;
using NUnit.Framework;
using SharpTestsEx;

namespace HQLAddin.Tests.Highlighting
{
	[TestFixture]
	public class ParameterClassifierProviderTests
	{
		[Test]
		public void ContentTypeShouldBeEqualToXml()
		{
			typeof(ParameterClassifierProvider).GetCustomAttributes(typeof(ContentTypeAttribute), true)
			                                        	.OfType<ContentTypeAttribute>()
			                                        	.First()
			                                        	.ContentTypes.Should().Be.EqualTo("xml");
		}
	}
}